MONGOC_CLIENT_COMMAND_SIMPLE(3)

NAME
mongoc_client_command_simple - mongoc_client_command_simple()

SYNOPSIS

bool
mongoc_client_command_simple (mongoc_client_t *client,
                              const char *db_name,
                              const bson_t *command,
                              const mongoc_read_prefs_t *read_prefs,
                              bson_t *reply,
                              bson_error_t *error);

This is a simplified interface to mongoc_client_command(). It returns the first document from the result cursor into reply. The client's read preference, read concern, and write concern are not applied to the command.

WARNING: reply is always set, and should be released with bson_destroy().

This function is not considered a retryable read operation.

PARAMETERS

•   client: A mongoc_client_t.

•   db_name: The name of the database to run the command on.

•   command: A bson_t containing the command specification.

•   read_prefs: An optional mongoc_read_prefs_t. Otherwise, the command uses mode MONGOC_READ_PRIMARY.

•   reply: A location for the resulting document.

•   error: An optional location for a bson_error_t or NULL.

ERRORS

Errors are propagated via the error parameter.

RETURNS

Returns true if successful. Returns false and sets error if there are invalid arguments or a server or network error.

This function does not check the server response for a write concern error or write concern timeout.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc